apiVersion: v1
kind: Service
metadata:
  name: {{ include "{{ .Values.project.name }}.fullname" . }}
  labels:
    app.kubernetes.io/name: {{ include "{{ .Values.project.name }}.name" . }}
    helm.sh/chart: {{ include "{{ .Values.project.name }}.chart" . }}
    app.kubernetes.io/instance: {{ .Release.Name }}
    app.kubernetes.io/managed-by: {{ .Release.Service }}
spec:
  type: {{ .Values.service.type }}
  ports:
    - port: {{ .Values.service.port }}
      targetPort: http
      protocol: TCP
      name: http
  selector:
    app.kubernetes.io/name: {{ include "{{ .Values.project.name }}.name" . }}
    app.kubernetes.io/instance: {{ .Release.Name }}
